import { triggerSearch } from '@/services/pluginsManager/map/triggerSearch';
import { MinervaConfiguration } from '@/services/pluginsManager/pluginsManager';

type Plugin = {
  pluginName: string;
  pluginVersion: string;
  pluginUrl: string;
};

type RegisterPlugin = ({ pluginName, pluginVersion, pluginUrl }: Plugin) => {
  element: HTMLDivElement;
};

type HashPlugin = {
  pluginUrl: string;
  pluginScript: string;
};

declare global {
  interface Window {
    minerva: {
      configuration?: MinervaConfiguration;
      plugins: {
        registerPlugin: RegisterPlugin;
      };
      map: {
        triggerSearch: typeof triggerSearch;
      };
    };
  }
}
