/* eslint-disable no-magic-numbers */
import Feature from 'ol/Feature';
import type Polygon from 'ol/geom/Polygon';
import { createFeatureFromExtent } from './createFeatureFromExtent';
import { getOverlaySubmapLinkRectangleFeatureStyle } from './getOverlaySubmapLinkRectangleFeatureStyle';

export const createOverlaySubmapLinkRectangleFeature = (
  [xMin, yMin, xMax, yMax]: number[],
  color: string | null,
): Feature<Polygon> => {
  const feature = createFeatureFromExtent([xMin, yMin, xMax, yMax]);
  feature.setStyle(getOverlaySubmapLinkRectangleFeatureStyle(color));
  return feature;
};
