import { ConfigurationOption } from '@/types/models';

export const CONFIGURATION_OPTIONS_TYPES_MOCK: string[] = [
  'MIN_COLOR_VAL',
  'MAX_COLOR_VAL',
  'SIMPLE_COLOR_VAL',
  'NEUTRAL_COLOR_VAL',
  'OVERLAY_OPACITY',
];

export const CONFIGURATION_OPTIONS_COLOURS_MOCK: ConfigurationOption[] = [
  {
    idObject: 29,
    type: 'MIN_COLOR_VAL',
    valueType: 'COLOR',
    commonName: 'Overlay color for negative values',
    isServerSide: false,
    value: 'FF0000',
    group: 'Overlays',
  },
  {
    idObject: 30,
    type: 'MAX_COLOR_VAL',
    valueType: 'COLOR',
    commonName: 'Overlay color for postive values',
    isServerSide: false,
    value: '0000FF',
    group: 'Overlays',
  },
  {
    idObject: 31,
    type: 'SIMPLE_COLOR_VAL',
    valueType: 'COLOR',
    commonName: 'Overlay color when no values are defined',
    isServerSide: false,
    value: '00FF00',
    group: 'Overlays',
  },
  {
    idObject: 32,
    type: 'NEUTRAL_COLOR_VAL',
    valueType: 'COLOR',
    commonName: 'Overlay color for value=0',
    isServerSide: false,
    value: 'FFFFFF',
    group: 'Overlays',
  },
  {
    idObject: 33,
    type: 'OVERLAY_OPACITY',
    valueType: 'DOUBLE',
    commonName: 'Opacity used when drawing data overlays (value between 0.0-1.0)',
    isServerSide: false,
    value: '0.8',
    group: 'Overlays',
  },
];
