import { z } from 'zod';
import { positionSchema } from './positionSchema';

export const overviewImageLinkImage = z.object({
  idObject: z.number(),
  polygon: z.array(positionSchema),
  imageLinkId: z.number(),
  type: z.string(),
});

export const overviewImageLinkModel = z.object({
  idObject: z.number(),
  polygon: z.array(positionSchema),
  zoomLevel: z.number(),
  modelPoint: positionSchema,
  modelLinkId: z.number(),
  type: z.string(),
});

export const overviewImageLink = z.union([overviewImageLinkImage, overviewImageLinkModel]);
