import { createSelector } from '@reduxjs/toolkit';
import { defaultLegendImagesSelector } from '../configuration/configuration.selectors';
import { rootSelector } from '../root/root.selectors';

export const legendSelector = createSelector(rootSelector, state => state.legend);

export const isLegendOpenSelector = createSelector(legendSelector, state => state.isOpen);

// TODO: add filter for active plugins
export const currentLegendImagesSelector = createSelector(
  legendSelector,
  defaultLegendImagesSelector,
  ({ selectedPluginId, pluginLegend }, defaultImages) => {
    if (selectedPluginId) {
      return pluginLegend?.[selectedPluginId] || [];
    }

    return defaultImages;
  },
);
