import { getMultiBioEntity } from '@/redux/bioEntity/bioEntity.thunks';
import { getMultiChemicals } from '@/redux/chemicals/chemicals.thunks';
import { getMultiDrugs } from '@/redux/drugs/drugs.thunks';
import { PerfectMultiSearchParams } from '@/types/search';
import { createAsyncThunk } from '@reduxjs/toolkit';
import type { RootState } from '../store';
import { dispatchPluginsEvents } from './search.thunks.utils';

type GetSearchDataProps = PerfectMultiSearchParams;

export const getSearchData = createAsyncThunk<void, GetSearchDataProps, { state: RootState }>(
  'project/getSearchData',
  async ({ searchQueries, isPerfectMatch }, { dispatch, getState }): Promise<void> => {
    await Promise.all([
      dispatch(getMultiBioEntity({ searchQueries, isPerfectMatch })),
      dispatch(getMultiDrugs(searchQueries)),
      dispatch(getMultiChemicals(searchQueries)),
    ]);

    dispatchPluginsEvents(searchQueries, getState());
  },
);
