import { axiosInstance } from '@/services/api/utils/axiosInstance';
import { Statistics } from '@/types/models';
import { validateDataUsingZodSchema } from '@/utils/validateDataUsingZodSchema';
import { createAsyncThunk } from '@reduxjs/toolkit';
import { statisticsSchema } from '@/models/statisticsSchema';
import { apiPath } from '../apiPath';

export const getStatisticsById = createAsyncThunk(
  'statistics/getStatisticsById',
  async (id: string): Promise<Statistics | undefined> => {
    const response = await axiosInstance.get<Statistics>(apiPath.getStatisticsById(id));

    const isDataValid = validateDataUsingZodSchema(response.data, statisticsSchema);

    return isDataValid ? response.data : undefined;
  },
);
